Commit e7281342 authored by Michael Natterer's avatar Michael Natterer 😴 Committed by Michael Natterer

configure.in app/Makefile.am bump some more hardcoded 2.4 to 2.5

2007-10-31  Michael Natterer  <mitch@gimp.org>

	* configure.in
	* app/Makefile.am
	* tools/Makefile.am: bump some more hardcoded 2.4 to 2.5


svn path=/trunk/; revision=24017
parent 13104834
2007-10-31 Michael Natterer <mitch@gimp.org>
* configure.in
* app/Makefile.am
* tools/Makefile.am: bump some more hardcoded 2.4 to 2.5
2007-10-31 Sven Neumann <sven@gimp.org>
* app/display/gimpdisplayshell-close.c
......
......@@ -32,9 +32,9 @@ SUBDIRS = \
if ENABLE_GIMP_CONSOLE
bin_PROGRAMS = gimp-2.4 gimp-console-2.4
bin_PROGRAMS = gimp-2.5 gimp-console-2.5
else
bin_PROGRAMS = gimp-2.4
bin_PROGRAMS = gimp-2.5
endif
app_sources = \
......@@ -52,7 +52,7 @@ app_sources = \
units.h \
gimp-intl.h
gimp_2_4_SOURCES = $(app_sources)
gimp_2_5_SOURCES = $(app_sources)
EXTRA_DIST = \
......@@ -98,7 +98,7 @@ AM_LDFLAGS = $(mwindows) $(munix) \
-u $(SYMPREFIX)gimp_coords_mix \
-u $(SYMPREFIX)gimp_plug_in_manager_restore
gimp_2_4_LDADD = \
gimp_2_5_LDADD = \
gui/libappgui.a \
actions/libappactions.a \
dialogs/libappdialogs.a \
......@@ -140,13 +140,13 @@ gimp_2_4_LDADD = \
if ENABLE_GIMP_CONSOLE
gimp_console_2_4_SOURCES = $(app_sources)
gimp_console_2_5_SOURCES = $(app_sources)
gimp_console_2_4_CPPFLAGS = \
gimp_console_2_5_CPPFLAGS = \
$(AM_CPPFLAGS) \
-DGIMP_CONSOLE_COMPILATION
gimp_console_2_4_LDADD = \
gimp_console_2_5_LDADD = \
widgets/widgets-enums.o \
display/display-enums.o \
display/gimpdisplayoptions.o \
......
......@@ -17,20 +17,20 @@ m4_define([gimp_binary_age],
[m4_eval(100 * gimp_minor_version + gimp_micro_version)])
# For overriding the version string. Comment out if not needed.
# m4_define([gimp_version], [2.4.0])
# m4_define([gimp_version], [2.5.0])
# This is the X.Y used in -lgimp-X.Y
m4_define([gimp_api_version], [2.0])
# Versions used for apps, plugins, tools, pkg-config files, and data,
# as well as global and user prefs
m4_define([gimp_app_version], [2.4])
m4_define([gimp_app_version], [2.5])
m4_define([gimp_plugin_version], [2.0])
m4_define([gimp_tool_version], [2.0])
m4_define([gimp_pkgconfig_version], [2.0])
m4_define([gimp_data_version], [2.0])
m4_define([gimp_sysconf_version], [2.0])
m4_define([gimp_user_version], [2.4])
m4_define([gimp_user_version], [2.5])
m4_define([gimp_unstable],
m4_if(m4_eval(gimp_minor_version % 2), [1], [yes], [no]))
......
......@@ -13,15 +13,15 @@ bin_PROGRAMS = $(GIMP_REMOTE)
noinst_PROGRAMS = test-clipboard
EXTRA_PROGRAMS = \
gimp-remote-2.4 \
gimp-remote-2.5 \
kernelgen
gimp_remote_2_4_SOURCES = \
gimp_remote_2_5_SOURCES = \
gimp-remote.c \
gimp-remote.h \
gimp-remote-x11.c
gimp_remote_2_4_LDADD = \
gimp_remote_2_5_LDADD = \
$(GTK_LIBS) \
$(LIBXMU)
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment